%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   This file is part of chemotaxis pathway designer                    % 
%                                                                       % 
%   Copyright (C) Junjie Luo     jjluo54@163.com                        % 
%                 Jun Wang       wj-cn@163.com                          % 
%   All rights reserved.                                                % 
%                                                                       % 
%   $File: Multi_cores_main.m$     $Revision:  1$                       %   
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

tic        % Start the timer

% Create the job
jm = findResource('scheduler','type','jobmanager','name','liangjob','LookupURL','192.168.0.1');
job = createJob(jm);

% Set the local directory
set(job, 'PathDependencies', {'E:\Study\Srt\iGem\Code\wj\Main'});

% Create 8 tasks with parameter 1..8
createTask(job, @Parameter_test_multi_core, 5, {{1}, {2}, {3}, {4}, {5}, {6}, {7}, {8}});

submit(job);

waitForState(job,'finished');

% Get all the output from job
result = getAllOutputArguments(job);

% Save the result of each task to the local file
for i = 1 : 8
    bact_posi = result{i, 1};
    bact_L = result{i, 2};
    L_mean = result{i, 3};
    file_name = result{i, 4}; 
    randseed = result{i, 5};     
    save(file_name, 'bact_posi', 'bact_L', 'L_mean', 'randseed');
end;                   

toc      % Close the timer and output the total running time